Num(3)

NAME
Heap::Elem::Num - Perl extension for Numeric Heap Elements

SYNOPSIS
  use Heap::Elem::Num( NumElem );
  use Heap::Fibonacci;

  my $heap = Heap::Fibonacci->new;
  my $elem;

  foreach $i ( 1..100 ) {
      $elem = NumElem( $i );
      $heap->add( $elem );
  }

  while( defined( $elem = $heap->extract_minimum ) ) {
      print "Smallest is ", $elem->val, "\n";
  }

DESCRIPTION
Heap::Elem::Num is used to wrap numeric values into an element that can be managed on a heap. The top of the heap will have the smallest element still remaining. (See Heap::Elem::NumRev if you want the heap to always return the largest element.)

The details of the Elem interface are described in Heap::Elem.

The details of using a Heap interface are described in Heap.

AUTHOR
John Macdonald, jmm@elegant.com

SEE ALSO
Heap(3), Heap::Elem(3), Heap::Elem::NumRev(3).